InMemoryMessagingNetwork.DistributedServiceHandle
Keywords: net.corda.testing.node.InMemoryMessagingNetwork.DistributedServiceHandle class
Date: 2023-09-18

net.corda.testing.node

## Class InMemoryMessagingNetwork.DistributedServiceHandle

- net.corda.testing.node.InMemoryMessagingNetwork.DistributedServiceHandle

- All Implemented Interfaces:
    MessageRecipientGroup, MessageRecipients
  Enclosing class:
    InMemoryMessagingNetwork

      public static class InMemoryMessagingNetwork.DistributedServiceHandle
      implements MessageRecipientGroup

  A class which represents information about nodes offering the same distributed service on the `class InMemoryMessagingNetwork`.

  See Also:
    `class InMemoryMessagingNetwork`

- - ### Constructor Detail

    - #### DistributedServiceHandle

          public DistributedServiceHandle(@NotNull
                                          Party party)

      A class which represents information about nodes offering the same distributed service on the `class InMemoryMessagingNetwork`.

      Parameters:
        `party` - The `class Party` offering the service.
      See Also:
        `class InMemoryMessagingNetwork`

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getParty

          @NotNull
          public Party getParty()

      The

      `class Party` offering the service.

      See Also:
        `class Party`

    - #### component1

          @NotNull
          public Party component1()

      The

      `class Party` offering the service.

      See Also:
        `class Party`

    - #### copy

          @NotNull
          public net.corda.testing.node.InMemoryMessagingNetwork.DistributedServiceHandle copy(@NotNull
                                                                                                        Party party)

      A class which represents information about nodes offering the same distributed service on the `class InMemoryMessagingNetwork`.

      See Also:
        `class InMemoryMessagingNetwork`

    - #### hashCode

          public int hashCode()

      A class which represents information about nodes offering the same distributed service on the `class InMemoryMessagingNetwork`.

      See Also:
        `class InMemoryMessagingNetwork`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A class which represents information about nodes offering the same distributed service on the `class InMemoryMessagingNetwork`.

      See Also:
        `class InMemoryMessagingNetwork`